
%define lib_major 0
%define lib_name %mklibname %name %lib_major
%define develname %mklibname -d %name

Summary:	Advanced Linux Sound Architecture (ALSA) library
Name:		alsa-oss
Version:	1.0.28
Release:	%mkrel 1
Epoch:		1
Source0:	ftp://ftp.alsa-project.org/pub/oss-lib/%name-%version.tar.xz
Patch0:		alsa-oss-1.0.12-aoss.patch 
License:	GPL
Url:		http://www.alsa-project.org/
Group:		Sound
BuildRequires: doxygen
BuildRequires: %{_lib}alsa2-devel

%description
Advanced Linux Sound Architecture (ALSA) is a modularized architecture which
supports quite a large range of ISA and PCI cards.
It's fully compatible with old OSS drivers (either OSS/Lite, OSS/commercial).
To use the features of alsa, one can either use:
- the old OSS api
- the new ALSA api that provides many enhanced features.

Using the ALSA api requires to use the ALSA library.
This library provides oss compatibility

%package -n %{lib_name}
Summary:    Advanced Linux Sound Architecture (ALSA) library
Group: System/Libraries
Provides:   %name = %version-%release
Provides:   lib%name = %version-%release

%description -n %{lib_name}
Advanced Linux Sound Architecture (ALSA) is a modularized architecture which
supports quite a large range of ISA and PCI cards.
It's fully compatible with old OSS drivers (either OSS/Lite, OSS/commercial).
To use the features of alsa, one can either use:
- the old OSS api
- the new ALSA api that provides many enhanced features.

Using the ALSA api requires to use the ALSA library.
This library provides oss compatibility

%package -n %develname
Summary:    Development files for Advanced Linux Sound Architecture (ALSA)
Group:      Development/Libraries
Requires:   %lib_name = %epoch:%version
Obsoletes:  %{mklibname alsa-oss 1}-devel
Provides:   %{mklibname alsa-oss 1}-devel = %version-%release
Provides:   lib%name-devel = %version-%release, %name-devel = %version-%release

%description -n %develname
Advanced Linux Sound Architecture (ALSA) is a modularized architecture which
supports quite a large range of ISA and PCI cards.
It's fully compatible with old OSS drivers (either OSS/Lite, OSS/commercial).
To use the features of alsa, one can either use:
- the old OSS api
- the new ALSA api that provides many enhanced features.

This package contains files needed in order to develop an application
that made use of ALSA.

%package -n aoss
Summary:    Wrapper script to ease ALSA-OSS compatibility library usage
Group:      Development/Libraries
Requires:   %lib_name = %epoch:%version

%description -n aoss
aoss is a simple wrapper script which facilitates the use
of the ALSA OSS compatibility library.
It just sets the appropriate LD_PRELOAD path and then runs the command.

This is useful in cases where routing settings (which can
be made in your .asoundrc file) need to be applied to commands that use the
OSS API.


%prep
%setup -q
%patch0 -p1

%build
autoreconf -fiv
%configure2_5x
make CFLAGS="$RPM_OPT_FLAGS" LDFLAGS="%ldflags -ldl"

%install
rm -rf %buildroot
mkdir -p %{buildroot}%_includedir/sys
mkdir -p %{buildroot}%_libdir
%makeinstall_std
rm -f %{buildroot}%_libdir/*.a %{buildroot}%_libdir/*.la

%files -n %lib_name
%defattr(-, root, root)
%doc COPYING
%_libdir/*.so.%{lib_major}*

%files -n %develname
%defattr(-, root, root)
%doc COPYING
%_libdir/*.so
%_includedir/oss-redir.h

%files -n aoss
%defattr(-, root, root)
%doc COPYING
%_bindir/aoss
%_mandir/man1/aoss.*

%clean
rm -rf %buildroot

%changelog
* Wed Jun 18 2014 bb <bb> 1.0.28-1pclos2014
- update 1.0.28
- leave epoch since previous version had it
- and needs it to be able to update grrr
- i hate epochs
